<template>
    <q-page class="column items-center justify-start">
        <q-input
            v-model="urlString"
            type="text"
            label="URL"
            class="q-ma-md"
            style="width:80vw"
        />
        <div class="row justify-center">
            <q-btn
                color="primary"
                label="Video"
                @click="goToVideoDownload"
                class="q-ma-md"
            />
            <!-- <q-btn color="primary" label="Playlist" class="q-ma-md" /> -->
        </div>
    </q-page>
</template>

<script lang="ts">
import Vue from 'vue';

class IndexData {
    urlString = '';
}
export default Vue.extend({
    data() {
        return new IndexData();
    },
    methods: {
        goToVideoDownload() {
            try {
                new URL(this.urlString);
            } catch {
                this.$q.notify({
                    type: 'error',
                    message: 'URL is not valid'
                });
                return;
            }

            void this.$router.push({
                path: 'downloadVideo',
                query: {
                    URL: this.urlString
                }
            });
        }
    }
});
</script>
